
import ossl.util as util

def register():
    print("registering: OSSL Types")
    util.imports("ossl._types", "Bone")
    util.imports("ossl._types", "Armature")
    util.imports("ossl._types", "Animation")
    util.imports("ossl._types", "Avatar")
    util.imports("ossl._types", "Character")
    util.imports("ossl._types", "Scene")
    util.imports("ossl._types", "Pool")
    util.imports("ossl._types", "Test")
    print("registered: OSSL Types")

def unregister():
    print("unregistering: OSSL Types")
    util.release("ossl._types", "Test")
    util.release("ossl._types", "Pool")
    util.release("ossl._types", "Scene")
    util.release("ossl._types", "Character")
    util.release("ossl._types", "Avatar")
    util.release("ossl._types", "Animation")
    util.release("ossl._types", "Armature")
    util.release("ossl._types", "Bone")
    print("unregistered: OSSL Types")

if __name__ == "__main__":
    import ossl.util as util
    util.reset_addon()
